# the

inline fun <T : Any> ExtensionAware.the(): T

Returns the extension of the specified type.

#### Parameters

T

the extension type.

fun <T : Any> ExtensionAware.the(extensionType: KClass<T>): T

Returns the extension of the specified extensionType.

#### Parameters

T

the extension type.

extensionType

the reified extension type.

inline fun <T : Any> Project.the(): T
fun <T : Any> Project.the(extensionType: KClass<T>): T

Returns the project extension of the specified type.

#### Parameters

T

the project extension type.

#### See also

ExtensionAware